<?php
$_SESSION['title']="Создать новую локацию";
heads($headers_page, $set_ob_start);   //подключение шапки

if(isset($_POST['saveloc']))
{
// 
$locname= ft_nic($_POST['locname']);
$x=abs(intval($_POST['x']));
$y=abs(intval($_POST['y']));
// Проверка данных
$errors='';
if(strlen2($locname)<3 or strlen2($locname)>255){$errors.="Имя локации указано не верно!<br />";}
if($x<1){$errors.="Не верно указан размер по x!<br />";}
if($y<1){$errors.="Не верно указан размер по y!<br />";}
$checkname=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `name`='$locname' LIMIT 1"),MYSQL_ASSOC);
if($checkname){$errors.="Локация с именем $locname уже существует!<br />";}
$s="$x-$y";
  if($errors=='')
  {
  mysql_query("INSERT INTO `location` SET
  `s`='$s',
  `name`='$locname' 
  ");
    if(mysql_affected_rows())
    {
    mset_msg("Локация \"$locname\" успешно создана!");  
    }else{mset_err("Не удалось создать локацию  \"$locname\"!");}
    header("Location: ?l=loccard"); exit; 
  }
mset_err($errors);
header("Location: ?l=newloc"); exit;  //http://stalker.rul/adm.php?l=newloc
}else{
echo "<form action='' method='post'>";
echo "Имя локации<br /><input type='text' name='locname' value='' /><br />";
echo "размер по x<br /><input type='text' name='x' value='5' /><br />";
echo "размер по y<br /><input type='text' name='y' value='5' /><br />";
echo "<br /><input type='submit' name='saveloc' value='создать' /><br />";
echo "</form>";
}
echo "<div class=''><a href='?l=loccard'>Отмена</a></div>";
?>